import React, { useState } from 'react';

// eslint-disable-next-line @nx/enforce-module-boundaries
import { Button } from '@clds/button-old';
// eslint-disable-next-line @nx/enforce-module-boundaries
import { Paper } from '@clds/paper';
import { Fade } from '@clds/transitions';

export const Mountable = () => {
  const [key, setKey] = useState(0);

  return (
    <Paper isPadded>
      <Fade in key={key}>
        <p>Hello world instance {key}</p>
      </Fade>
      <Button onClick={() => setKey((prvKey) => prvKey + 1)}>Re-Mount</Button>
    </Paper>
  );
};

export const Controllable = () => {
  const [isTransitioning, setIsTransitioning] = useState(false);

  return (
    <Paper isPadded>
      <Fade
        in={isTransitioning}
        appear={false}
        mountOnEnter={false}
        unmountOnExit={false}
      >
        <p>Hello world instance</p>
      </Fade>
      <Button onClick={() => setIsTransitioning((prv) => !prv)}>
        Toggle transition
      </Button>
    </Paper>
  );
};

export default { component: Fade, title: 'Transitions/Fade' };
