import React, { useState } from 'react';

// eslint-disable-next-line @nx/enforce-module-boundaries
import { Button } from '@clds/button-old';
// eslint-disable-next-line @nx/enforce-module-boundaries
import { Paper } from '@clds/paper';
import { Slide } from '@clds/transitions';

export const Mountable = () => {
  const [key, setKey] = useState(0);

  return (
    <Paper isPadded>
      <Slide
        in
        key={key}
        transitionDirection="horizontal"
        startPosition="-100px"
        endPosition="0px"
      >
        <p>Hello world instance {key}</p>
      </Slide>
      <Button onClick={() => setKey((prvKey) => prvKey + 1)}>Re-Mount</Button>
    </Paper>
  );
};

export const Controllable = () => {
  const [isTransitioning, setIsTransitioning] = useState(false);

  return (
    <Paper isPadded>
      <Slide
        in={isTransitioning}
        transitionDirection="vertical"
        startPosition="0px"
        endPosition="20px"
        appear={false}
        mountOnEnter={false}
        unmountOnExit={false}
      >
        <p>Hello world instance</p>
      </Slide>
      <Button onClick={() => setIsTransitioning((prv) => !prv)}>
        Toggle transition
      </Button>
    </Paper>
  );
};

export default { component: Slide, title: 'Transitions/Slide' };
