import React from 'react';
import styled from 'styled-components';

import useSlider from '@clds/use-slider';

const Container = styled.div`
  width: 100%;
  height: 50px;
  background-color: gray;
  position: relative;
`;

const Slider = styled.div`
  width: 50px;
  height: 100%;
  background-color: blue;
  position: absolute;
`;

export const Default = () => {
  const { onPointerDown, percentage } = useSlider({
    keepSliderInBoundaries: true,
  });

  return (
    <Container>
      <Slider
        onPointerDown={onPointerDown}
        style={{ left: `${percentage} %` }}
      />
    </Container>
  );
};

export default { component: Default, title: 'useSlider' };
